%global obsroot /usr/lib/obs
%global obssvcroot %{obsroot}/service
%global srcname obs-service-source_validator

Name:           osc-source_validator
Version:        0.19
Release:        %mkrel 1
License:        GPL-2.0-or-later
Summary:        OBS source service to validate sources
URL:            https://github.com/openSUSE/obs-service-source_validator
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	make
BuildRequires:  rpm-build
Requires:       gnupg2
Requires:       obs-build
Requires:       osc
Requires:       rpm-build
Requires:       libxml2-utils

# TODO: Rename this package...
Provides:       %{srcname} = %{version}-%{release}

%description
This is a source service for openSUSE Build Service.

This service runs all checks as required by openSUSE:Factory project. This can be used
to guarantee that all checks succeed also on the service side. This plugin can be
used via project wide defined services.

#Question: Can this be imported to use for Mageia in the same manor as well?
#Feel free to change info here.

%prep
%setup -q -n %{srcname}-%{version}

%build
# Nothing to do

%install
%make_install

%files
%license COPYING
%{obssvcroot}/*
